/* diagram.h
 * Copyright (C) 2001 The University of Newcastle upon Tyne
 *
 * Written by Paul Coates (Paul.Coates@ncl.ac.uk)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef DIAGRAM_H
#define DIAGRAM_H 1

#include "image.h"

#define BORDER 16
#define ICON_WIDTH 96
#define ICON_HEIGHT 96

class Data;
class Network;
class Diagram
{
	public:
		Diagram(GtkWidget *w);
		~Diagram();

		void scale_images(float x, float y);
		void interface_color(GdkGC *gc, int type);
//		void network_links(Data *data);
//		void autobunch_leaves(Data *data);
		void draw(GdkPixmap *canvas, Data *data,
			float scale, long xp, long yp, int w, int h, int pp);
		void draw_ptop(GdkPixmap *canvas, float scale, Network *n);
		void draw_fddi(GdkPixmap *canvas, float scale, Network *n);
		void draw_bus(GdkPixmap *canvas, float scale, Network *n, long width, long height, long xp, long yp);

		GdkGC *gc, *gc2, *gc3;
		GdkPoint *points;
		GtkWidget *window;

		GdkColor red, darkred, green, darkgreen, blue, darkblue;
		GdkColor cyan, darkcyan, magenta, darkmagenta, yellow, darkyellow;
		GdkColor lightgray, gray, darkgray, bggray;
		GdkColor black, white, orange, purple;
		Image lserver, lmachine, lswitch, lrouter, lprinter, lcloud;
		char showlabels, showcolourlines, showleafnetworks;
};

#endif

